## cascading.tap.hadoop
Class MultiInputSplit

    java.lang.Object
      cascading.tap.hadoop.MultiInputSplit

All Implemented Interfaces:
  Writable, InputSplit, JobConfigurable

    public class MultiInputSplit

extends Object
implements InputSplit, JobConfigurable

Class MultiInputSplit is used by MultiInputFormat

Constructor Summary
`MultiInputSplit()`
`MultiInputSplit(InputSplit inputSplit, Map<String,String> config)`

Method Summary
`void` `configure(JobConf jobConf)`
`static String` `getCurrentTapSourcePath(JobConf jobConf)` Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.
`long` `getLength()`
`String[]` `getLocations()`
`void` `readFields(DataInput in)`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiInputSplit

    public MultiInputSplit(InputSplit inputSplit,
                           Map<String,String> config)

### MultiInputSplit

    public MultiInputSplit()

Method Detail

### getCurrentTapSourcePath

    public static String getCurrentTapSourcePath(JobConf jobConf)

  Method getCurrentTapSourcePath finds and returns the current source Tap filename path, if any.

  Use this method inside an Operation to find the current file being processed.

  Parameters:
    `jobConf` -
  Returns:
    a String

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`

### getLength

    public long getLength()
                   throws IOException

  Specified by:
    `getLength` in interface `InputSplit`
  Throws:
    `IOException`

### getLocations

    public String[] getLocations()
                          throws IOException

  Specified by:
    `getLocations` in interface `InputSplit`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `Writable`
  Throws:
    `IOException`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.